<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


function xmldb_block_contag_upgrade($oldversion = 0) {
    global $DB;
    $dbman = $DB->get_manager();
    //echo $oldversion;
    $result = true;


    if ($oldversion < 2010122201) {
        
        // Define table block_contag_item_book to be created
        $table = new xmldb_table('block_contag_item_book');
        
        // Adding fields to table block_contag_item_book
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
        $table->add_field('course_id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, '0');
        $table->add_field('item_id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, '0');
        
        // Adding keys to table block_contag_item_book
        $table->add_key('primary', XMLDB_KEY_PRIMARY, array('id'));
        $table->add_key('item_fk', XMLDB_KEY_FOREIGN, array('item_id'), 'mdl_course_modules', array('id'));
        
        // Conditionally launch create table for block_contag_item_book
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }
        
        // contag savepoint reached
        upgrade_block_savepoint(true, 2010122201, 'contag');
    }
    
    if ($oldversion < 2013060401) {
        
        // Define table block_contag_item_page to be created
        $table = new xmldb_table('block_contag_item_page');
        
        // Adding fields to table block_contag_item_page
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
        $table->add_field('course_id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, '0');
        $table->add_field('item_id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, '0');
        
        // Adding keys to table block_contag_item_page
        $table->add_key('primary', XMLDB_KEY_PRIMARY, array('id'));
        $table->add_key('item_fk', XMLDB_KEY_FOREIGN, array('item_id'), 'mdl_course_modules', array('id'));
        
        // Conditionally launch create table for block_contag_item_page
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }
        
        // contag savepoint reached
        upgrade_block_savepoint(true, 2013060401, 'contag');
    }


    return $result;
}

?>